Bug 922296 - rosdep looks for pip, we provide python-pip
Summary: rosdep looks for pip, we provide python-pip
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-rosdep
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rich Mattes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-03-16 02:59 UTC by Ankur Sinha (FranciscoD)
Modified: 2013-05-02 01:31 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-02 01:31:32 UTC
Type: Bug


Attachments (Terms of Use)
patch that makes rosdep look for python-pip rather than pip (983 bytes, patch)
2013-03-16 02:59 UTC, Ankur Sinha (FranciscoD)
no flags Details | Diff

Description Ankur Sinha (FranciscoD) 2013-03-16 02:59:20 UTC
Created attachment 710947 [details]
patch that makes rosdep look for python-pip rather than pip

Description of problem:
the rosdep script looks for pip but we rename it to python-pip in fedora because of conflicts with perl's pip

Additional info:
[ankur@dhcppc1  ros_catkin_ws]$ rosdep install -r --from-paths src --ignore-src --rosdistro groovy -y --os=fedora:18

ERROR: Rosdep experienced an internal error.
Please go to the rosdep page [1] and file a bug report with the message below.
[1] : http://www.ros.org/wiki/rosdep

Bad installer [pip]: [Errno 2] No such file or directory

The attached patch fixes it. However, it's against 0.10.14 version of rosdep.

Thanks,
Warm regards,
Ankur

Comment 1 Fedora Update System 2013-03-20 20:18:29 UTC
python-rosinstall-0.6.26-1.20130318git6d482b2.fc18,python-rosdep-0.10.14-1.20130318git76a8fef.fc18,python-rospkg-1.0.20-1.20130318git0a4448e.fc18,python-vcstools-0.1.30-1.20130318git963c121.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-rosinstall-0.6.26-1.20130318git6d482b2.fc18,python-rosdep-0.10.14-1.20130318git76a8fef.fc18,python-rospkg-1.0.20-1.20130318git0a4448e.fc18,python-vcstools-0.1.30-1.20130318git963c121.fc18

Comment 2 Fedora Update System 2013-03-22 00:07:35 UTC
Package python-rosinstall-0.6.26-1.20130318git6d482b2.fc18, python-rosdep-0.10.14-1.20130318git76a8fef.fc18, python-rospkg-1.0.20-1.20130318git0a4448e.fc18, python-vcstools-0.1.30-1.20130318git963c121.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python-rosinstall-0.6.26-1.20130318git6d482b2.fc18 python-rosdep-0.10.14-1.20130318git76a8fef.fc18 python-rospkg-1.0.20-1.20130318git0a4448e.fc18 python-vcstools-0.1.30-1.20130318git963c121.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-4163/python-rosinstall-0.6.26-1.20130318git6d482b2.fc18,python-rosdep-0.10.14-1.20130318git76a8fef.fc18,python-rospkg-1.0.20-1.20130318git0a4448e.fc18,python-vcstools-0.1.30-1.20130318git963c121.fc18
then log in and leave karma (feedback).


Note You need to log in before you can comment on or make changes to this bug.